Extending Qt Creator Manual | SysRootKitInformation

Extending Qt Creator Manual 4.5.2

# SysRootKitInformation Class

(ProjectExplorer::SysRootKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Functions

| SysRootKitInformation()
void | addToMacroExpander(Kit *kit, Utils::MacroExpander *expander) const override

## Reimplemented Public Functions

virtual KitConfigWidget * | createConfigWidget(Kit *k) const override
virtual QVariant | defaultValue(const Kit *k) const override
virtual ItemList | toUserOutput(const Kit *k) const override
virtual QList<Task> | validate(const Kit *k) const override

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

bool | hasSysRoot(const Kit *k)
Core::Id | id()
void | setSysRoot(Kit *k, const Utils::FileName &v)
Utils::FileName | sysRoot(const Kit *k)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Function Documentation

### SysRootKitInformation::SysRootKitInformation()

Default constructs an instance of SysRootKitInformation.

### void SysRootKitInformation::addToMacroExpander(Kit *kit, Utils::MacroExpander *expander) const

### `[override virtual]` KitConfigWidget *SysRootKitInformation::createConfigWidget(Kit *k) const

### `[override virtual]` QVariant SysRootKitInformation::defaultValue(const Kit *k) const

### `[static]` bool SysRootKitInformation::hasSysRoot(const Kit *k)

### `[static]` Core::Id SysRootKitInformation::id()

### `[static]` void SysRootKitInformation::setSysRoot(Kit *k, const Utils::FileName &v)

See also sysRoot().

### `[static]` Utils::FileName SysRootKitInformation::sysRoot(const Kit *k)

See also setSysRoot().

### `[override virtual]` ItemList SysRootKitInformation::toUserOutput(const Kit *k) const

### `[override virtual]` QList<Task> SysRootKitInformation::validate(const Kit *k) const